#ifndef TOOLADDPOLYGON_H_
#define TOOLADDPOLYGON_H_

#include "Tool.h"
#include "EditManager.h"

class ToolAddPolygon : public Tool {
  private:
    GtkWidget *image;
    
    EditManager *editManager;
    
    static const gchar* name;
    
    // prevent shallow copy
    ToolAddPolygon(const ToolAddPolygon &t);
    const ToolAddPolygon& operator=(const ToolAddPolygon &t);
    
  public:
    ToolAddPolygon(EditManager *editManager);
    virtual ~ToolAddPolygon();
    
    virtual void activate();
    virtual void deactivate();
    
    virtual const gchar *getName() {
      return name;
    }
    
    bool isSensitive() {
      return TRUE;
    }
    
    virtual GtkWidget *getImage();
};

#endif /*TOOLADDPOLYGON_H_*/
