#ifndef TOOLSELECTOR_H_
#define TOOLSELECTOR_H_

#include "Tool.h"
#include "EditManager.h"

class ToolSelector : public Tool {
  private:
    GtkWidget *image;
    
    EditManager *editManager;
    
    static const gchar* name;
    
    // prevent shallow copy
    ToolSelector(const ToolSelector &t);
    const ToolSelector& operator=(const ToolSelector &t);
    
  public:
    ToolSelector(EditManager *editManager);
    virtual ~ToolSelector();
    
    virtual const gchar *getName() {
      return name;
    }
    
    bool isSensitive() {
      return TRUE;
    }
    
    virtual GtkWidget *getImage();
};

#endif /*TOOLSELECTOR_H_*/
